javax.xml.crypto.dom

## Interface DOMURIReference

- All Superinterfaces:
    URIReference

      public interface DOMURIReference
      extends URIReference

  A DOM-specific `URIReference`. The purpose of this class is to provide additional context necessary for resolving XPointer URIs or same-document references.
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getHere()` Returns the here node.

    - ### Methods inherited from interface javax.xml.crypto.URIReference

      `getType, getURI`

- - ### Method Detail

    - #### getHere

          Node getHere()

      Returns the here node.
      Returns:
        the attribute or processing instruction node or the parent element of the text node that directly contains the URI

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.